Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.builder
Class SwiftUtils

    java.lang.Object
      com.stc.swift.builder.SwiftUtils

    public class SwiftUtils

extends java.lang.Object

A utility class used to create Swift OTDs

Version:
  $Revision: 1.12 $

Nested Class Summary
`static interface` | `SwiftUtils.SubType`

Field Summary
`static java.lang.String` | `Bd`
`static java.lang.String` | `BdB`
`static java.lang.String` | `BeginAnchored`
`static java.lang.String` | `DefaultData`
`static java.lang.String` | `Ed`
`static java.lang.String` | `EndAnchored`
`static java.lang.String` | `Markers`
`static java.lang.String` | `MaxLength`
`static java.lang.String` | `MaxRep`
`static java.lang.String` | `MinLength`
`static java.lang.String` | `MinRep`
`static java.lang.String` | `NodeSubType`
`static java.lang.String` | `NodeType`
`static java.lang.String` | `NofN`
`static java.lang.String` | `OF`
`static java.lang.String` | `Offset`
`static java.lang.String` | `ON`
`static java.lang.String` | `OS`
`static java.lang.String` | `Pp`
`static java.lang.String` | `PpF`
`static java.lang.String` | `Required`
`static java.lang.String` | `Tag`

Method Summary
`static void` | `addFlowers(com.stc.otd.forest.OtdSerial otdSerial, com.stc.otd.forest.OtdWood otdWood)`
`static com.stc.otd.forest.OtdBark` | `addOtdBark(com.stc.otd.forest.OtdSerial otdSerial, com.stc.otd.forest.OtdWood otdWood, java.lang.String beginDelim, java.lang.String endDelim, boolean beginAnchored, boolean endAnchored, boolean required, java.lang.String nodeType, int minRep, int maxRep, java.lang.String tag, java.lang.String defaultData, java.lang.Integer offset, java.lang.Integer length)`
`static com.stc.otd.forest.OtdBark` | `addOtdBark(com.stc.otd.forest.OtdSerial otdSerial, com.stc.otd.forest.OtdWood otdWood, java.lang.String beginDelim, java.lang.String endDelim, boolean beginAnchored, boolean endAnchored, boolean required, java.lang.String nodeType, int minRep, int maxRep, java.lang.String tag, java.lang.String defaultData, java.lang.Integer offset, java.lang.Integer minLength, java.lang.Integer maxLength)`
`static void` | `bumpSequencer()` Bump Sequencer.
`static com.stc.otd.forest.OtdBranch` | `createOtdBranch(com.stc.otd.forest.OtdWood otdWood, java.lang.String name, java.lang.String comment, java.util.Hashtable hash)`
`static com.stc.otd.forest.OtdFlower` | `createOtdFlower(com.stc.otd.forest.OtdWood otdWood, java.lang.String name, java.lang.String id, java.lang.String javaName, java.lang.String javaType, java.lang.String comment)`
`static com.stc.otd.forest.OtdLeaf` | `createOtdLeaf(com.stc.otd.forest.OtdWood otdWood, java.lang.String name, java.lang.String comment, java.util.Hashtable hash)`
`static java.lang.String` | `getBd(com.stc.otd.forest.OtdBark bark)` Retrieve Bd info from bark.
`static boolean` | `getBdB(com.stc.otd.forest.OtdBark bark)` Retrieve BdB info from bark.
`static boolean` | `getBeginAnchored(com.stc.otd.forest.OtdBark bark)` Retrieve BeginAnchored info from bark.
`static java.lang.String` | `getDefaultData(com.stc.otd.forest.OtdBark bark)` Retrieve DefaultData info from bark.
`static java.lang.String` | `getEd(com.stc.otd.forest.OtdBark bark)` Retrieve Ed info from bark.
`static java.lang.String` | `getEncoding()` DOCUMENT ME!
`static boolean` | `getEndAnchored(com.stc.otd.forest.OtdBark bark)` Retrieve EndAnchored info from bark.
`static java.lang.String` | `getMarkers(com.stc.otd.forest.OtdBark bark)` Retrieve Markers info from bark.
`static int` | `getMaxLength(com.stc.otd.forest.OtdBark bark)` Retrieve MaxLength info from bark.
`static int` | `getMaxRep(com.stc.otd.forest.OtdBark bark)` Retrieve Maximum Repetition info from bark.
`static java.lang.String` | `getMessage(java.lang.String key)`
`static java.lang.String` | `getMessage(java.lang.String aKey, java.lang.Object[] aParams)`
`static int` | `getMinLength(com.stc.otd.forest.OtdBark bark)` Retrieve MinLength info from bark.
`static int` | `getMinRep(com.stc.otd.forest.OtdBark bark)` Retrieve Minimum Repetition info from bark.
`static java.lang.String` | `getNodeSubType(com.stc.otd.forest.OtdBark bark)` Retrieve NodeSubType info from bark.
`static java.lang.String` | `getNodeType(com.stc.otd.forest.OtdBark bark)` Retrieve NodeType info from bark.
`static int[]` | `getNofN(com.stc.otd.forest.OtdBark bark)` Retrieve NofN info from bark.
`static int` | `getOffset(com.stc.otd.forest.OtdBark bark)` Retrieve Offset info from bark.
`static boolean` | `getPp(com.stc.otd.forest.OtdBark bark)` Retrieve Pp info from bark.
`static boolean` | `getPpF(com.stc.otd.forest.OtdBark bark)` Retrieve PpF info from bark.
`static boolean` | `getRequired(com.stc.otd.forest.OtdBark bark)` Retrieve Required info from bark.
`static java.lang.String` | `getSequencerID()` Get Sequencer Identifier.
`static java.lang.String` | `getTag(com.stc.otd.forest.OtdBark bark)` Retrieve Tag info from bark.
`static boolean` | `haveBd(com.stc.otd.forest.OtdBark bark)` Check for existence of Bd info in bark.
`static boolean` | `haveBdB(com.stc.otd.forest.OtdBark bark)` Check for existence of BdB info in bark.
`static boolean` | `haveBeginAnchored(com.stc.otd.forest.OtdBark bark)` Check for existence of BeginAnchored info in bark.
`static boolean` | `haveDefaultData(com.stc.otd.forest.OtdBark bark)` Check for existence of DefaultData info in bark.
`static boolean` | `haveEd(com.stc.otd.forest.OtdBark bark)` Check for existence of Ed info in bark.
`static boolean` | `haveEndAnchored(com.stc.otd.forest.OtdBark bark)` Check for existence of EndAnchored info in bark.
`static boolean` | `haveMarkers(com.stc.otd.forest.OtdBark bark)` Check for existence of Markers info in bark.
`static boolean` | `haveMaxLength(com.stc.otd.forest.OtdBark bark)` Check for existence of MaxLength info in bark.
`static boolean` | `haveMinLength(com.stc.otd.forest.OtdBark bark)` Check for existence of MinLength info in bark.
`static boolean` | `haveNodeSubType(com.stc.otd.forest.OtdBark bark)` Check for existence of NodeSubType info in bark.
`static boolean` | `haveNodeType(com.stc.otd.forest.OtdBark bark)` Check for existence of NodeType info in bark.
`static boolean` | `haveNofN(com.stc.otd.forest.OtdBark bark)` Check for existence of NofN info in bark.
`static boolean` | `haveOffset(com.stc.otd.forest.OtdBark bark)` Check for existence of Offset info in bark.
`static boolean` | `havePp(com.stc.otd.forest.OtdBark bark)` Check for existence of Pp info in bark.
`static boolean` | `havePpF(com.stc.otd.forest.OtdBark bark)` Check for existence of PpF info in bark.
`static boolean` | `haveRequired(com.stc.otd.forest.OtdBark bark)` Check for existence of Required info in bark.
`static boolean` | `haveTag(com.stc.otd.forest.OtdBark bark)` Check for existence of Tag info in bark.
`static java.lang.String` | `intersect(java.lang.String str1, java.lang.String str2)`
`static java.lang.String` | `makeByteArray(java.lang.String str)`
`static java.lang.String` | `nodeName(java.lang.String parentName, java.lang.String childName, java.util.Hashtable hash)`
`static void` | `popSequencer()` Pop Sequencer.
`static void` | `pushSequencer()` Push Sequencer.
`static java.lang.String` | `replaceAll(java.lang.String old, java.lang.String nu, java.lang.String victim)`
`static void` | `resetSequencer()` Reset Sequencer to empty.
`static void` | `setEncoding(java.lang.String val)` DOCUMENT ME!
`static java.lang.String[]` | `split(java.lang.String pattern, java.lang.String victim)`
`static java.lang.String` | `stripTrailing(java.lang.String str)`
`static java.lang.String` | `trailing(java.lang.String base, java.lang.String target)`
`static java.lang.String` | `trimLeft(java.lang.String src)` Strip leading whitspace.
`static java.lang.String` | `undoByteArray(java.lang.String str)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NodeType

    public static java.lang.String NodeType

### NodeSubType

    public static java.lang.String NodeSubType

### OS

    public static java.lang.String OS

### ON

    public static java.lang.String ON

### OF

    public static java.lang.String OF

### NofN

    public static java.lang.String NofN

### Bd

    public static java.lang.String Bd

### BdB

    public static java.lang.String BdB

### Ed

    public static java.lang.String Ed

### Pp

    public static java.lang.String Pp

### PpF

    public static java.lang.String PpF

### Tag

    public static java.lang.String Tag

### DefaultData

    public static java.lang.String DefaultData

### BeginAnchored

    public static java.lang.String BeginAnchored

### EndAnchored

    public static java.lang.String EndAnchored

### Required

    public static java.lang.String Required

### MinRep

    public static java.lang.String MinRep

### MaxRep

    public static java.lang.String MaxRep

### Offset

    public static java.lang.String Offset

### MinLength

    public static java.lang.String MinLength

### MaxLength

    public static java.lang.String MaxLength

### Markers

    public static java.lang.String Markers

Method Detail

### setEncoding

    public static void setEncoding(java.lang.String val)

  DOCUMENT ME!

  Parameters:
    `val` - DOCUMENT ME!

### getEncoding

    public static java.lang.String getEncoding()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### haveNodeType

    public static boolean haveNodeType(com.stc.otd.forest.OtdBark bark)

  Check for existence of NodeType info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getNodeType

    public static java.lang.String getNodeType(com.stc.otd.forest.OtdBark bark)

  Retrieve NodeType info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    NodeType information as String

### haveNodeSubType

    public static boolean haveNodeSubType(com.stc.otd.forest.OtdBark bark)

  Check for existence of NodeSubType info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getNodeSubType

    public static java.lang.String getNodeSubType(com.stc.otd.forest.OtdBark bark)

  Retrieve NodeSubType info from bark.

  Parameters:
    `bark` - OtdBark in consideration.
  Returns:
    String information.

### haveNofN

    public static boolean haveNofN(com.stc.otd.forest.OtdBark bark)

  Check for existence of NofN info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getNofN

    public static int[] getNofN(com.stc.otd.forest.OtdBark bark)

  Retrieve NofN info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    NofN information as Integer[2]

### haveBd

    public static boolean haveBd(com.stc.otd.forest.OtdBark bark)

  Check for existence of Bd info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getBd

    public static java.lang.String getBd(com.stc.otd.forest.OtdBark bark)

  Retrieve Bd info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    Bd information as String

### haveEd

    public static boolean haveEd(com.stc.otd.forest.OtdBark bark)

  Check for existence of Ed info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getEd

    public static java.lang.String getEd(com.stc.otd.forest.OtdBark bark)

  Retrieve Ed info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    Ed information as String

### haveMarkers

    public static boolean haveMarkers(com.stc.otd.forest.OtdBark bark)

  Check for existence of Markers info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getMarkers

    public static java.lang.String getMarkers(com.stc.otd.forest.OtdBark bark)

  Retrieve Markers info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    Markers information as String

### havePp

    public static boolean havePp(com.stc.otd.forest.OtdBark bark)

  Check for existence of Pp info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getPp

    public static boolean getPp(com.stc.otd.forest.OtdBark bark)

  Retrieve Pp info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    Pp information as String

### havePpF

    public static boolean havePpF(com.stc.otd.forest.OtdBark bark)

  Check for existence of PpF info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getPpF

    public static boolean getPpF(com.stc.otd.forest.OtdBark bark)

  Retrieve PpF info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    PpF information as String

### haveTag

    public static boolean haveTag(com.stc.otd.forest.OtdBark bark)

  Check for existence of Tag info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getTag

    public static java.lang.String getTag(com.stc.otd.forest.OtdBark bark)

  Retrieve Tag info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    Tag information as String

### haveDefaultData

    public static boolean haveDefaultData(com.stc.otd.forest.OtdBark bark)

  Check for existence of DefaultData info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getDefaultData

    public static java.lang.String getDefaultData(com.stc.otd.forest.OtdBark bark)

  Retrieve DefaultData info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    DefaultData information as String

### haveBeginAnchored

    public static boolean haveBeginAnchored(com.stc.otd.forest.OtdBark bark)

  Check for existence of BeginAnchored info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getBeginAnchored

    public static boolean getBeginAnchored(com.stc.otd.forest.OtdBark bark)

  Retrieve BeginAnchored info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    BeginAnchored information as boolean

### haveBdB

    public static boolean haveBdB(com.stc.otd.forest.OtdBark bark)

  Check for existence of BdB info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getBdB

    public static boolean getBdB(com.stc.otd.forest.OtdBark bark)

  Retrieve BdB info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    BeginAnchored information as boolean

### haveEndAnchored

    public static boolean haveEndAnchored(com.stc.otd.forest.OtdBark bark)

  Check for existence of EndAnchored info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getEndAnchored

    public static boolean getEndAnchored(com.stc.otd.forest.OtdBark bark)

  Retrieve EndAnchored info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    EndAnchored information as boolean

### haveRequired

    public static boolean haveRequired(com.stc.otd.forest.OtdBark bark)

  Check for existence of Required info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getRequired

    public static boolean getRequired(com.stc.otd.forest.OtdBark bark)

  Retrieve Required info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    Required information as boolean

### getMinRep

    public static int getMinRep(com.stc.otd.forest.OtdBark bark)

  Retrieve Minimum Repetition info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    Minimum Repetition information as Integer

### getMaxRep

    public static int getMaxRep(com.stc.otd.forest.OtdBark bark)

  Retrieve Maximum Repetition info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    Maximum Repetition information as Integer

### haveOffset

    public static boolean haveOffset(com.stc.otd.forest.OtdBark bark)

  Check for existence of Offset info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getOffset

    public static int getOffset(com.stc.otd.forest.OtdBark bark)

  Retrieve Offset info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    Offset information as Integer

### haveMinLength

    public static boolean haveMinLength(com.stc.otd.forest.OtdBark bark)

  Check for existence of MinLength info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getMinLength

    public static int getMinLength(com.stc.otd.forest.OtdBark bark)

  Retrieve MinLength info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    Length information as Integer

### haveMaxLength

    public static boolean haveMaxLength(com.stc.otd.forest.OtdBark bark)

  Check for existence of MaxLength info in bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    boolean

### getMaxLength

    public static int getMaxLength(com.stc.otd.forest.OtdBark bark)

  Retrieve MaxLength info from bark.

  Parameters:
    `bark` - OtdBark in consideration
  Returns:
    Length information as Integer

### trimLeft

    public static java.lang.String trimLeft(java.lang.String src)

  Strip leading whitspace.

  Type Parameters:
    `src` - Source String.
  Throws:
    `com.stc.otd.builder.OtdBuilderException` - Error occurred in building the OTD

### createOtdBranch

    public static com.stc.otd.forest.OtdBranch createOtdBranch(com.stc.otd.forest.OtdWood otdWood,
                                                               java.lang.String name,
                                                               java.lang.String comment,
                                                               java.util.Hashtable hash)
                                                        throws com.stc.otd.builder.OtdBuilderException

  Throws:
    `com.stc.otd.builder.OtdBuilderException`

### createOtdLeaf

    public static com.stc.otd.forest.OtdLeaf createOtdLeaf(com.stc.otd.forest.OtdWood otdWood,
                                                           java.lang.String name,
                                                           java.lang.String comment,
                                                           java.util.Hashtable hash)
                                                    throws com.stc.otd.builder.OtdBuilderException

  Throws:
    `com.stc.otd.builder.OtdBuilderException`

### addOtdBark

    public static com.stc.otd.forest.OtdBark addOtdBark(com.stc.otd.forest.OtdSerial otdSerial,
                                                        com.stc.otd.forest.OtdWood otdWood,
                                                        java.lang.String beginDelim,
                                                        java.lang.String endDelim,
                                                        boolean beginAnchored,
                                                        boolean endAnchored,
                                                        boolean required,
                                                        java.lang.String nodeType,
                                                        int minRep,
                                                        int maxRep,
                                                        java.lang.String tag,
                                                        java.lang.String defaultData,
                                                        java.lang.Integer offset,
                                                        java.lang.Integer length)
                                                 throws com.stc.otd.builder.OtdBuilderException

  Throws:
    `com.stc.otd.builder.OtdBuilderException`

### addOtdBark

    public static com.stc.otd.forest.OtdBark addOtdBark(com.stc.otd.forest.OtdSerial otdSerial,
                                                        com.stc.otd.forest.OtdWood otdWood,
                                                        java.lang.String beginDelim,
                                                        java.lang.String endDelim,
                                                        boolean beginAnchored,
                                                        boolean endAnchored,
                                                        boolean required,
                                                        java.lang.String nodeType,
                                                        int minRep,
                                                        int maxRep,
                                                        java.lang.String tag,
                                                        java.lang.String defaultData,
                                                        java.lang.Integer offset,
                                                        java.lang.Integer minLength,
                                                        java.lang.Integer maxLength)
                                                 throws com.stc.otd.builder.OtdBuilderException

  Throws:
    `com.stc.otd.builder.OtdBuilderException`

### createOtdFlower

    public static com.stc.otd.forest.OtdFlower createOtdFlower(com.stc.otd.forest.OtdWood otdWood,
                                                               java.lang.String name,
                                                               java.lang.String id,
                                                               java.lang.String javaName,
                                                               java.lang.String javaType,
                                                               java.lang.String comment)
                                                        throws com.stc.otd.builder.OtdBuilderException

  Throws:
    `com.stc.otd.builder.OtdBuilderException`

### addFlowers

    public static void addFlowers(com.stc.otd.forest.OtdSerial otdSerial,
                                  com.stc.otd.forest.OtdWood otdWood)
                           throws com.stc.otd.builder.OtdBuilderException

  Throws:
    `com.stc.otd.builder.OtdBuilderException`

### makeByteArray

    public static java.lang.String makeByteArray(java.lang.String str)

### undoByteArray

    public static java.lang.String undoByteArray(java.lang.String str)

### nodeName

    public static java.lang.String nodeName(java.lang.String parentName,
                                            java.lang.String childName,
                                            java.util.Hashtable hash)

### intersect

    public static java.lang.String intersect(java.lang.String str1,
                                             java.lang.String str2)

### trailing

    public static java.lang.String trailing(java.lang.String base,
                                            java.lang.String target)

### stripTrailing

    public static java.lang.String stripTrailing(java.lang.String str)

### split

    public static java.lang.String[] split(java.lang.String pattern,
                                           java.lang.String victim)

### replaceAll

    public static java.lang.String replaceAll(java.lang.String old,
                                              java.lang.String nu,
                                              java.lang.String victim)

### resetSequencer

    public static void resetSequencer()

  Reset Sequencer to empty.

  Parameters:
    `NONE` -

### pushSequencer

    public static void pushSequencer()

  Push Sequencer. Add a level to Sequence stack(LIFO).

  Parameters:
    `NONE` -

### popSequencer

    public static void popSequencer()

  Pop Sequencer. Remove last level of Sequence stack(LIFO).

  Parameters:
    `NONE` -

### bumpSequencer

    public static void bumpSequencer()

  Bump Sequencer. Bumps value of last level in Sequence stack(LIFO).

  Parameters:
    `NONE` -

### getSequencerID

    public static java.lang.String getSequencerID()

  Get Sequencer Identifier.

  Parameters:
    `NONE` -
  Returns:
    String representing nested Sequence.

### getMessage

    public static java.lang.String getMessage(java.lang.String key)

### getMessage

    public static java.lang.String getMessage(java.lang.String aKey,
                                              java.lang.Object[] aParams)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.